Package: org.codehaus.groovy.util

## [Java] Class LockableObject

- org.codehaus.groovy.util.LockableObject

- A bit simplified lock designed to be inherited by.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected boolean` | `isHeldExclusively()`
    `` | `void` | `lock()`
    `` | `protected boolean` | `tryAcquire(int acquires)`
    `` | `protected boolean` | `tryRelease(int releases)`
    `` | `void` | `unlock()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class AbstractQueuedSynchronizer`

    `toString, release, hasQueuedThreads, isQueued, getQueueLength, getQueuedThreads, hasWaiters, getWaitQueueLength, getWaitingThreads, acquire, acquireInterruptibly, tryAcquireNanos, getFirstQueuedThread, owns, acquireShared, acquireSharedInterruptibly, tryAcquireSharedNanos, releaseShared, hasContended, hasQueuedPredecessors, getExclusiveQueuedThreads, getSharedQueuedThreads, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

    `class AbstractOwnableSynchronizer` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### protected final boolean isHeldExclusively()

    - #### public final void lock()

    - #### protected final boolean tryAcquire(int acquires)

    - #### protected final boolean tryRelease(int releases)

    - #### public final void unlock()